# class Gem::Resolver::IndexSpecification

Represents a possible Specification object returned from IndexSet. Used to delay needed to download full Specification objects when only the `name` and `version` are needed.

### Public Class Methods

new(set, name, version, source, platform) click to toggle source

An `IndexSpecification` is created from the index format described in `gem help generate_index`.

The `set` contains other specifications for this (URL) `source`.

The `name`, `version` and `platform` are the name, version and platform of the gem.

Calls superclass method `Gem::Resolver::Specification::new`

    # File lib/rubygems/resolver/index_specification.rb, line 18
    def initialize(set, name, version, source, platform)
      super()

      @set = set
      @name = name
      @version = version
      @source = source
      @platform = platform.to_s

      @spec = nil
    end

### Public Instance Methods

dependencies() click to toggle source

The dependencies of the gem for this specification

    # File lib/rubygems/resolver/index_specification.rb, line 33
    def dependencies
      spec.dependencies
    end